﻿© Fluke Calibration, All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix THS720: (1 year) VER RS-232 /9100+Opt250
DATE:                  2010-10-19 08:53:31
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       217
CONFIGURATION:         Datron 9100 (S2)
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        THS720A
# 
#  Source(s):
#        Tektronix THS710 & THS720 TekScope Service manual
#        070-9246-03
# 
#  Compatibility:
#        MET/CAL or 5500/CAL 7.3 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query RS-232
#        Sub UUT RS-232 Connection DTE DB9 (m) /9100
#        Sub Tek THS700 Setup RS-232
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek THS700 Check Firmware Version
#        Sub Tek THS700 Self-Test RS-232
#        Sub Tek THS700 Sig Path Comp Cal RS-232
#        Sub Tek THS700 DMM Measure RS-232
#        Sub Tek THS700 Scope Measure RS-232
#        Sub Tek THS700 Select Channel RS-232
#        Sub Tek THS700 Trigger Chk and Level Adj RS-232
#        Sub Tek THS700 (1 yr) DCV VER RS-232 /9100+S2
#        Sub Tek THS700 (1 yr) Bandwidth VER RS-232 /9100+S2
#        Sub Tek THS700 (1 yr) Trig Sens VER RS-232 /9100+S2
#        Sub Tek THS700 (1 yr) Sample Rate VER RS-232 /9100+S2
#        Sub Tek THS700 (1 yr) DMM DCV VER RS-232 /9100
#        Sub Tek THS700 (1 yr) DMM ACV VER RS-232 /9100
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        Banana to Banana Calbe(two required)
#        50 Ohm BNC Cable
#        50 Ohm Feedthrough Termination
#        Dual Banana to BNC Adapter
#        RJ-45 to 9-pin female null modem adapter(standard)
#
# The procedure was tested using:
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing : 30 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9100         100MH                        1Vpp           LS SC S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.3"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Verification Method (No NTHROW)

  1.013  HEAD         PRELIMINARY INSTRUCTIONS
  1.014  DISP         Ensure a minimum UUT warm-up time of at least
  1.014  DISP         10 minutes has been allowed to elapse, prior
  1.014  DISP         to beginning verification.

  1.015  CALL         Sub Tek THS700 Setup RS-232

  1.016  PORT         *RST;*OPC?[I!]

  1.017  HEAD         UUT IDENTIFICATION
  1.018  CALL         Sub IEEE-488.2 Identification Query RS-232

  1.019  MATH         @UUT_Manufacturer = "Tektronix"
  1.020  MATH         @UUT_Model        = "THS720"
  1.021  MATH         @Bandwidth        = 100E+6
  1.022  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.023  JMPL         END                           @Abort

  1.024  CALL         Sub Tek THS700 Check Firmware Version
  1.025  JMPL         END                           @Abort

  1.026  HEAD         EQUIPMENT REQUIREMENTS
  1.027  OPBR         -z Do you want to REVIEW the list of additional
  1.027  OPBR         equipment and/or accessories required?

  1.028  IF           MEM1
  1.029  DISP         - Banana to Banana Calbe(two required)
  1.029  DISP         - 50 Ohm BNC Cable
  1.029  DISP         - 50 Ohm Feedthrough Termination
  1.029  DISP         - Dual Banana to BNC Adapter
  1.029  DISP         - RJ-45 to 9-pin female null modem adapter(standard)
  1.030  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    2.   SELF TEST                          SELF TEST
#    3.   DCV GAIN (CH1)                     DCV GAIN (CH1)
#    4.   DCV GAIN (CH2)                     BANDWIDTH (CH1)
#    5.   BANDWIDTH (CH1)                    TRIGGER SENS (CH1)
#    6.   BANDWIDTH (CH2)                    SAMPLE RATE
#    7.   TRIGGER SENS (CH1)                 DCV GAIN (CH2)
#    8.   TRIGGER SENS (CH2)                 BANDWIDTH (CH2)
#    9.   SAMPLE RATE                        TRIGGER SENS (CH2)
#   10.   DMM DCV                            DMM DCV
#   11.   DMM ACV                            DMM ACV

  1.031  CALL         Sub Tek THS700 Sig Path Comp Cal RS-232
  1.032  JMPL         END                           @Abort

  1.033  CALL         Sub Tek THS700 Self-Test RS-232
  1.034  JMPL         END                           @Abort

  1.035  DISP         Connect the 9100 SCOPE OUT to the UUT CH1.
  1.036  MATH         @Chan = 1
  1.037  CALL         Sub Tek THS700 (1 yr) DCV VER RS-232 /9100+S2
  1.038  JMPL         BANDWIDTH_CH1

  1.039  LABEL        DCV_CH2
  1.040  DISP         Connect the 9100 SCOPE OUT to the UUT CH2.
  1.041  MATH         @Chan = 2
  1.042  CALL         Sub Tek THS700 (1 yr) DCV VER RS-232 /9100+S2
  1.043  JMPL         BANDWIDTH_CH2

  1.044  LABEL        BANDWIDTH_CH1
  1.045  DISP         Connect the 9100 SCOPE OUT to UUT CH1 via 50 Ohm
  1.045  DISP         termination.
  1.046  MATH         @Chan = 1
  1.047  CALL         Sub Tek THS700 (1 yr) Bandwidth VER RS-232 /9100+S2
  1.048  JMPL         TRIG_CH1

  1.049  LABEL        BANDWIDTH_CH2
  1.050  DISP         Connect the 9100 SCOPE OUT to UUT CH2 via 50 Ohm
  1.050  DISP         termination.
  1.051  MATH         @Chan = 2
  1.052  CALL         Sub Tek THS700 (1 yr) Bandwidth VER RS-232 /9100+S2
  1.053  JMPL         TRIG_CH2

  1.054  LABEL        TRIG_CH1
  1.055  MATH         @Chan = 1
  1.056  CALL         Sub Tek THS700 (1 yr) Trig Sens VER RS-232 /9100+S2
  1.057  JMPL         SAMPLE_RATE

  1.058  LABEL        TRIG_CH2
  1.059  MATH         @Chan = 2
  1.060  CALL         Sub Tek THS700 (1 yr) Trig Sens VER RS-232 /9100+S2
  1.061  JMPL         DMM_DCV_CH1

  1.062  LABEL        SAMPLE_RATE
  1.063  MATH         @Chan = 1
  1.064  CALL         Sub Tek THS700 (1 yr) Sample Rate VER RS-232 /9100+S2
  1.065  JMPL         DCV_CH2

  1.066  LABEL        DMM_DCV_CH1
  1.067  CALL         Sub Tek THS700 (1 yr) DMM DCV VER RS-232 /9100
  1.068  CALL         Sub Tek THS700 (1 yr) DMM ACV VER RS-232 /9100

  1.069  LABEL        END
  1.070  RSLT         =
  1.071  HEAD         -2

  1.072  IF           @Abort
  1.073  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.074  ELSE
  1.075  HEAD         {V E R I F I C A T I O N   C O M P L E T E}
  1.076  ENDIF

  1.077  END
